Bug 992906 - gluster_cli: Geo-replication create push pem returns success message for invalid master or slave volume name [NEEDINFO]
gluster_cli: Geo-replication create push pem returns success message for inva...
Status: NEW
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: geo-replication (Show other bugs)
unspecified
Unspecified Unspecified
low Severity unspecified
: ---
: ---
Assigned To: Aravinda VK
storage-qa-internal@redhat.com
usability
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-05 03:28 EDT by Timothy Asir
Modified: 2017-06-28 05:07 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rhinduja: needinfo? (avishwan)


Attachments (Terms of Use)

  None (edit)
Description Timothy Asir 2013-08-05 03:28:21 EDT
Description of problem:
geo-replication create push pem does not validate the volume name which does not exist and returns simply a success message.

Version-Release number of selected component (if applicable):


How reproducible:
execute gluster volume geo-replication <(any)volume name which does not exists in master> slave_host::slave_vol create push-pem

Actual results:


Expected results:
should say volume does not exist

Additional info:
[root@rhsc-test gluster]# gluster --version
glusterfs 3.4.0.14rhs built on Jul 30 2013 09:09:36
Repository revision: git://git.gluster.com/glusterfs.git
Copyright (c) 2006-2011 Gluster Inc. <http://www.gluster.com>
GlusterFS comes with ABSOLUTELY NO WARRANTY.
You may redistribute copies of GlusterFS under the terms of the GNU General Public License.
[root@rhsc-test gluster]# cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 6.4 (Santiago)
Comment 2 Aravinda VK 2014-12-24 02:17:12 EST
Working with RHS 3.0. Don't intend backporting to 2.1.z.
Comment 3 Rahul Hinduja 2016-02-16 01:33:31 EST
Works as expected with latest 3.1.2 build:

[root@dhcp46-96 ~]# gluster volume list
gluster_shared_storage
master
[root@dhcp46-96 ~]# gluster volume geo-replication mAster 10.70.47.94::slave create push-pem force
Volume mAster does not exist
geo-replication command failed
[root@dhcp46-96 ~]# gluster volume geo-replication master 10.70.47.94::slAve create push-pem force
Unable to fetch slave volume details. Please check the slave cluster and slave volume.
geo-replication command failed
[root@dhcp46-96 ~]# rpm -qa | grep glusterfs-geo-replication
glusterfs-geo-replication-3.7.5-19.el6rhs.x86_64
[root@dhcp46-96 ~]# 

Patch is not going to be backported state for 2.1.z

Should we close this bug as working in current release?

Note You need to log in before you can comment on or make changes to this bug.